function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

import joi from 'joi';
import exit from './exit.js';
export function createSchema(fn) {
  var schema = fn(joi);

  if (_typeof(schema) === 'object' && typeof schema.validate !== 'function') {
    schema = joi.object(schema);
  }

  return schema;
}
export function validate(obj, schema, cb) {
  var _schema$validate = schema.validate(obj),
      error = _schema$validate.error;

  if (error) {
    cb(error.details[0].message);

    if (process.env.REACT_CLI_TEST) {
      throw error;
    } else {
      exit(1);
    }
  }
}
export function validateSync(obj, schema) {
  var _schema$validate2 = schema.validate(obj),
      error = _schema$validate2.error;

  if (error) {
    throw error;
  }
}